
//NOTE: Laughing Voice variant. For this one you also need to wire the next button in the same way as the play and revious button to the third relay and pin 5 on the Arduino.



//Assign pins
int pirSENSOR = 2;      //SENSOR to detect motion, set to maximum sensitivity and range
int previousBUTTON = 3; //button on MP3 module
int playBUTTON = 4;     //button on MP3 module
int nextBUTTON = 5;     //button on MP3 module
int statusLED = 10;


void setup() {
  pinMode(pirSENSOR, INPUT);
  pinMode(previousBUTTON, OUTPUT);
  pinMode(playBUTTON, OUTPUT);
  pinMode(nextBUTTON, OUTPUT);
  pinMode(statusLED, OUTPUT);
  digitalWrite(previousBUTTON, HIGH); //set initial state, in my case Relay HIGH is OFF/OPEN
  digitalWrite(playBUTTON, HIGH);     //set initial state, in my case Relay HIGH is OFF/OPEN
 // digitalWrite(nextBUTTON, HIGH);     //set initial state, in my case Relay HIGH is OFF/OPEN
}

void loop() {
  //Play Sound
  if (digitalRead(pirSENSOR) == HIGH) {    //HIGH means positive detection on my sensor
    digitalWrite(nextBUTTON, LOW);         //PRESS previous button which plays sound from begining
    delay(100);
    digitalWrite(nextBUTTON, HIGH);        //release next button
    delay(18000);
    digitalWrite(playBUTTON, LOW);         //pause/stop the sound playback
    delay(100);
    digitalWrite(playBUTTON, HIGH);        //release play button
    delay(12000);                          //wait 1 minute before allowing to reactive
    digitalWrite(statusLED, LOW);          //flash LED inside box to visually indicate reset
    delay(500);
    digitalWrite(statusLED, HIGH);
    delay(500);
    digitalWrite(statusLED, LOW);
    delay(500);
    digitalWrite(statusLED, HIGH);
    delay(500);
    digitalWrite(statusLED, LOW);
    delay(500);
  }

  else {
    digitalWrite(statusLED, HIGH);         //If PIR detects nothing, maintain status light on to draw small amount of power as some USB batteries will deactivate
  }

}
